
ryxeo-eol - Task - Tâche #4871

restart: serveur de téléversement data.abuledu.org

04/06/2016 12:56 - Eric Seigne

Statut: Fixed - Corrigé - Implémenté Début: 04/06/2016

Priorité: Normale Echéance:  

Assigné à: Eric Seigne % réalisé: 100%

Catégorie:  Temps estimé: 0.00 heure

Version cible:    

Description

Le service data.abuledu.org est répliqué sur 3 serveurs mais les téléversements ne peuvent se faire que sur un seul.

Ce serveur là était hébergé sur une dedibox chez free et payée par ryxéo. Le "hic" c'est que dedibox fonctionne en prélèvement

automatique mensuel, de ce fait le serveur est "coupé" depuis que les prélèvements sont refusés.

J'ai fait une sauvegarde complète de ce serveur avant qu'il ne soit stoppé, il faut maintenant le réinstaller sur une nouvelle machine.

Laquelle ?

Je vais lister les différents sujets et voir au passage ce qu'on peut regrouper en machines virtuelles sur un seul serveur ou pas,

ensuite on fera les calculs pour voir si c'est moins cher de prendre plusieurs petits serveurs ou un plus gros.

Demandes liées:

Lié à ryxeo-eol - Task - Tâche #4893: Réinstallation du serveur k2016 de l'as... Assigned - En cours13/07/2016

Lié à abuledu-data, vidéos, mediatheque, serveur de REL - Feature - Fonctionn... Fixed - Corrigé - Implémenté15/10/2016

Historique

#1 - 13/07/2016 12:02 - Eric Seigne

- Statut changé de New - Nouveau à Assigned - En cours

- % réalisé changé de 0 à 20

Copie lancée pour data-cache.abuledu.org ... data.abuledu.org va suivre mais je pense que je ne pourrais remettre tout ça en route qu'à mon retour à

bordeaux, il semblerait que la sauvegarde du serveur qu'on avait chez free soit sur un disque usb chez moi et non sur un serveur connecté comme je

pensais :-(

#2 - 23/09/2016 07:50 - Eric Seigne

Le DNS pointe maintenant sur le serveur de l'association, la synchro est en cours, copie du site web, dump de la base et transfert du wordpress ... je

relance le service d'ici peu ...

#3 - 23/09/2016 10:08 - Eric Seigne

- % réalisé changé de 20 à 50

Le transfert du site est fait, j'ai rencontrés quelques galères liées au fait que pour des questions de licences debian ne release plus le paquet

php5-xapian ... mais c'est expliqué sur https://trac.xapian.org/wiki/FAQ/PHP%20Bindings%20Package

Ensuite, il faudra repasser sur tous les scripts php pour suivre la montée en niveau des fonction dépréciées ...

Pour le principal ça fonctionne "comme hier" (donc toujours lecture seule et requêtes normales), je laisse quelques heures / jours pour valider qu'on

n'a rien perdu en fonctionnalités (que les recherches marchent toujours depuis sankoré, les logiciels d'abuledu etc.) et ensuite je m'occupe de la

gestion des upload !
#4 - 24/09/2016 08:16 - Eric Seigne

Suite aux tests (liste support), j'ai corrigé

le résultat de la recherche qui s'affichait sur une seule colonne

le résultat final qui ne s'affichait pas du tout

merci pour vos tests ...

#5 - 24/09/2016 08:18 - Annie Lesca

Affichage OK.

#6 - 05/10/2016 15:00 - Eric Seigne

Bon, pour l'upload ça ne sera pas encore pour aujourd'hui, je n'arrive pas à comprendre ce qui coince ... à mon avis c'est une question de

LemonLdap::NG qui n'est plus synchro (versions différentes entre les serveurs) ... ou moi qui n'arrive pas à comprendre où ça coince :-(

[Wed Oct 05 16:55:25.123650 2016] [perl:notice] [pid 27414] Lemonldap::NG::Handler: Authentication failed for 

eric.seigne@xxxxxxxxx: Apache::Session module failed

[Wed Oct 05 16:55:59.260930 2016] [perl:notice] [pid 27532] Lemonldap::NG::Handler: Authentication failed for 

eric.seigne@xxxxxxxxx: Apache::Session module failed

[Wed Oct 05 16:55:59.480134 2016] [perl:notice] [pid 27532] Lemonldap::NG::Handler: Authentication failed for 

eric.seigne@xxxxxxxxx: Apache::Session module failed

 

Je stoppe là pour aujourd'hui mais c'est vraiment rageant de ne pas arriver à remettre tout en route aussi vite que j'aimerais :-(

#7 - 06/10/2016 06:55 - Eric Seigne

Bon,

j'ai tout repris cette nuit pour m'assurer que ma config est identique entre le serveur "ou ça marche" et celui "ou ça ne marche pas" ... impossible de

trouver l'origine du problème.

je viens d'envoyer un mail sur la liste ll::ng pour voir s'ils ont une idée.

je me demande si ce n'est pas une incompatibilité entre les deux versions de ll::ng qui sont en prod, la 1.4 sur le serveur A et la 1.9 sur le serveur B

... ou entre les versions d'apache :o)

#8 - 06/10/2016 07:07 - Annie Lesca

Tu veux que je teste la modération du phoque ?

#9 - 06/10/2016 07:24 - Eric Seigne

C'est bien ça ... réponse super rapide de Clément :)
Hello Eric,

indeed, serialization of sessions has changed between 1.4 and 1.9, see http://lemonldap-ng.org/documentation/latest/upgrade#json_serialization

You can force to use the old serialization method by adding useStorable => 1 in session module options.

Let me know if you need help on the Abuledu project, I'll be happy to participate.

--

Clément

#10 - 06/10/2016 07:25 - Eric Seigne

Annie Lesca a écrit :

Tu veux que je teste la modération du phoque ?

 

Non, c'était un test sur l'ancien serveur pour vérifier que ça marchait encore ... mais personne n'a plus accès à ce serveur là.

#11 - 06/10/2016 07:47 - Eric Seigne

C'est bon, je suis repassé sur le dépôt oldstable de ll::ng pour l'installation du nouveau serveur, ça installe la version 1.4 de ll::ng qui est donc la

même partout sur notre infra actuelle et tout marche de nouveau :)

À prévoir de passer tout le monde en ll::ng 1.9 prochainement mais là c'est pas l'urgence !

#12 - 06/10/2016 08:15 - Annie Lesca

l'authentification sso : OK

la modération d'une ressource doit marcher de a à z : OK

la modification d'une ressource aussi : OK (modif et recherche de mots-clés)

#13 - 06/10/2016 08:28 - Annie Lesca

l'ajout d'une ressource doit marcher : OK

- depuis commons

- depuis disque dur

#14 - 10/10/2016 22:20 - Eric Seigne

Tests de modération ce soir

encore quelques scripts utilisent le "<?" qui n'est pas valide sur le nouveau serveur -> corrigé
la modération ne se propage pas sur les autres serveurs -> à faire cette semaine

ça avance ...

#15 - 12/10/2016 01:04 - Eric Seigne

Bon, j'ai pas mal progressé ce soir, je laisse "comme ça" vu l'heure mais à priori on devrait avoir la synchro avec les autres serveurs d'ici ~5 à 10h de

boulot en plus :-/

#16 - 12/10/2016 12:19 - Eric Seigne

Serveur data-cachemaster ok:

extraction automatique du contenu des fichier abb -> stockage en full size en attente de recalcul des différentes tailles

lancement du script qui créé les vignettes en 128, 256, 512 et 1024

stockage dans la bonne arborescence

documentation ok (http://docs.abuledu.org/infra/installation_de_k2016.abuledu-fr.org)

mais par contre je dois encore:

répercuter la modification de xapian pour qu'il puisse ouvrir les fichiers abb/abe, pour l'instant il ne sait pas les indexer et n'est donc pas

"retourné" sur la recherche web

Indexing "doc0000029053.abb" as application/zip ... Skipping - unknown MIME type 'application/zip'

Indexing "doc0000029054.abb" as application/zip ... Skipping - unknown MIME type 'application/zip'

Indexing "doc0000029055.abb" as application/zip ... Skipping - unknown MIME type 'application/zip'

vérifier auprès des serveurs frontaux ce qu'ils ont comme identifiant / ssh pour la synchro avec le serveur master ...

http://redmine.abuledu.org/projects/abuledu-bibliotheque/wiki/Xapian_pour_le_site_web

http://redmine.abuledu.org/projects/abuledu-bibliotheque/wiki/Utilisation_de_Xapian

vérifier s'il ne faut pas aussi modifier http://redmine.abuledu.org/projects/abuledu-bibliotheque/wiki/Stockage_de_donn%C3%A9es

#17 - 13/10/2016 10:55 - Eric Seigne

- % réalisé changé de 50 à 70

Actualisation de la zone DNS, Vérifications complètes de l'infra de notre côté, pour moi tout est ok (il reste encore xapian et éventuellement le hack

du php).

Mail envoyé aux administrateurs de nos deux serveurs relais pour qu'ils puissent relancer la synchro de leur côté et nous confirmer que tout est ok ->

normalement la doc est à jour pour eux: http://redmine.abuledu.org/projects/abuledu-bibliotheque/wiki/Serveurs_frontaux

#18 - 14/10/2016 10:04 - Eric Seigne
C'est tout bon pour moi, nouvelle ressource déposée ce matin, validée par mes soins et une heure plus tard tout est ok:

http://data.abuledu.org/wp/?LOM=29057

Je repasse sur le dev de xapian et autres cf au dessus

#19 - 14/10/2016 10:19 - Annie Lesca

Bonjour

Testé le fichier modéré par Éric ce matin. Tout est OK. Youkhou !

Un souci à partir du logiciel Mulot revno 513, les derniers fichiers ne sont pas accessibles depuisl'éditeur ; il faut peut-être laisser le temps ? Je le

signale juste pour info.

#20 - 15/10/2016 11:28 - Eric Seigne

- Lié à Feature - Fonctionnalité #4935: Xapian: compilation d'une version adaptée sur le nouveau serveur ajouté

#21 - 15/10/2016 13:02 - Eric Seigne

- Statut changé de Assigned - En cours à Fixed - Corrigé - Implémenté

- % réalisé changé de 70 à 100

Échanges de mails & vérification, les derniers fichiers proposés sont accessibles dans mulot et raconte-moi, je valide donc le total retour à la situation

normale !

Ouf !

Je clôture le ticket en me disant "non c'est pas possible" :o)
